Package org.jcsp.net.security

# Class AccessDeniedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jcsp.net.security.AccessDeniedException

All Implemented Interfaces:
  `Serializable`

public class AccessDeniedException extends Exception

Thrown by the security authority implementations if the credentials supplied are not correct or another error occurs as a result of user parameters.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessDeniedException(SecurityAuthority auth, String reason)`
Creates a new exeception.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a printable string describing the exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessDeniedException

public AccessDeniedException(SecurityAuthority auth, String reason)
Creates a new exeception.

Parameters:
  `auth` - the authority raising the exception.
  `reason` - the reason the exception was raised.

## Method Details

### toString

public String toString()
Returns a printable string describing the exception.

Overrides:
  `toString` in class `Throwable`